Subject: Re: bug#72068: show-paren-mode does not match Chinese parentheses correctly

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Jul 2024 08:20:57 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 24 Jul 2024 13:11:37 -0700
> Cc: [email-masked], Siyuan Chen <[email-masked]>
> 
> severity 72068 wishlist
> thanks
> 
> Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
> 
> > Eli Zaretskii [2024-07-12 09:02:49] wrote:
> >> I'm not sure this is a bug, since I think Lisp allows those characters
> >> to be treated as symbol-constituent.  Stefan, am I right?
> >
> > I think that's the idea, indeed.  Of course, we don't have to obey the
> > Emacs Lisp syntax, but I think it makes sense to do so.
> > Admittedly, it would be nice to allow the use of other syntax rules inside
> > comments and string for these kinds of situations.
> 
> I'm not sure if this should be closed as notabug or not, but I'm tagging
> it as wishlist at least.  Feel free to close if that makes more sense.

What solution is possible except changing the syntax table?  And if
changing the syntax table is the solution, users can already do that
if they want, right?